import 'react';
import { jsx } from '@emotion/react';

const VisuallyHidden = ({
  children
}) => jsx("span", {
  css: visuallyHiddenStyles
}, children);
const visuallyHiddenStyles = {
  clip: 'rect(0 0 0 0)',
  clipPath: 'inset(50%)',
  height: 1,
  overflow: 'hidden',
  position: 'absolute',
  whiteSpace: 'nowrap',
  width: 1
};

export { VisuallyHidden, visuallyHiddenStyles };
